package de.jg_cody.Teraplex.ui.Schlafzimmer;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import de.jg_cody.Teraplex.R;

public class SchlafzimmerFragment extends Fragment {

    private SchlafzimmerViewModel schlafzimmerViewModel;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        schlafzimmerViewModel =
                new ViewModelProvider(this).get(SchlafzimmerViewModel.class);
        View root = inflater.inflate(R.layout.fragment_schlafzimmer, container, false);
        final TextView textView = root.findViewById(R.id.text_schlafzimmer);
        schlafzimmerViewModel.getText().observe(getViewLifecycleOwner(), new Observer<String>() {
            @Override
            public void onChanged(@Nullable String s) {
                textView.setText(s);
            }
        });
        return root;
    }
}